If you are a Regus Client using a Mac trying to print to a Xerox device, the Xerox device must be PostScript enabled.


You should contact the Team Centre Regus Staff to understand whether the Xerox device is PostScript enabled or not.


In most cases, as long as you are running OS X 10.8 or above the file download XeroxPrintDriver.3.68.0_1623.dmg will cater for most Xerox devices.


If you are running an older Mac OS X Operating System or have an older Xerox device, you can download the Xerox drivers from the Xerox Support, Drivers & Downloads website. Just type in the model number of the device you have and select the Mac OS X version you are running.




---UNSUPPORTED--

There is an unsupported method of printing to Non-PostScript enabled devices and you can find more details here. Please note, this comes with absolutely no support for the driver working from your MAC in any way shape or form.